<?xml version="1.0" encoding="UTF-8"?>
<templates xml:space="preserve">
    
    <t t-name="web_widget_model_viewer.BinaryField3d" owl="1">
     
        <model-viewer
		        t-att-src='props.url'
		        name="3D model"
		        alt="3D model"
		        auto-rotate="1"
		        camera-controls="1"
                style ="background-color: #0D1D54;"
        >
<!--                <div class="text-center mt-4 mb-4 mr-4">-->
<!--                    <span-->
<!--		                    id="model-viewer-fullscreen"-->
<!--		                    title="View fullscreen"-->
<!--		                    role="img"-->
<!--		                    aria-label="Fullscreen"-->
<!--                    >-->
<!--                        <i class="fa fa-arrows-alt fa-2x"/>-->
<!--                    </span>-->
<!--                </div>-->
        </model-viewer>
	
<!--	    <model-viewer-->
<!--			    src='/jikimo_model_viewer/static/src/js/3d_viewer/test.glb'-->
<!--			    name="Test 3D model"-->
<!--			    alt="Test 3D model"-->
<!--			    auto-rotate="1"-->
<!--			    camera-controls="1"-->
<!--	    />-->
	    
        <script type="module"
		        src="/web_widget_model_viewer/static/src/lib/model-viewer.min.js">
        </script>

    </t>


</templates>
